curl --request GET \
--url https://api.spherepay.co/v2/webhook-endpoints/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spherepay.co/v2/webhook-endpoints/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spherepay.co/v2/webhook-endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiVersion": "2026-04-01",
"createdAt": "2026-01-01T00:00:00.000Z",
"description": "Production payment events handler",
"id": "webhook_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
"metadata": {
"environment": "prod",
"team": "payments"
},
"status": "enabled",
"subscribedEvents": [
"customer.created",
"transfer.succeeded"
],
"updatedAt": "2026-01-01T00:00:00.000Z",
"url": "https://example.com/webhooks/sphere"
}{
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Invalid request parameters",
"status": 400
}{
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Resource not found",
"status": 404
}{
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Validation failed",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
],
"status": 422
}Recuperar un Endpoint de Webhook por ID
Retrieve a webhook endpoint by its ID.
apiVersion y su estado actual.
El secreto de firma no forma parte de la respuesta. Solo se devuelve cuando se crea el endpoint, así que si ya no lo tienes, elimina el endpoint y registra un reemplazo para obtener uno nuevo.Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
Respuesta
The requested webhook endpoint.
API version date string this endpoint was configured with, or null if not set.
"2026-04-01"
ISO 8601 timestamp when the endpoint was created.
"2026-01-01T00:00:00.000Z"
Human-readable description of this webhook endpoint, or null if not set.
"Production payment events handler"
The unique identifier of the webhook endpoint.
"webhook_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"
Arbitrary key-value metadata attached to this endpoint, or null if not set.
{ "environment": "prod", "team": "payments" }
The current state of this endpoint.
enabled, errored, disabled, deleted "enabled"
List of event types this endpoint receives.
*, customer.*, transfer.*, document.*, service.*, customer.created, customer.pending, customer.approved, customer.rejected, transfer.created, transfer.pendingFunding, transfer.pendingReview, transfer.fundsReceived, transfer.processing, transfer.succeeded, transfer.returned, transfer.pendingRefundInformation, transfer.failed, transfer.canceled, transfer.refunded, transfer.unexpectedError, transfer.failedPrecondition, transfer.expired, transfer.unfunded, document.pending, document.processing, document.verified, document.rejected, service.pending, service.processing, service.succeeded, service.failed, service.cancelled ["customer.created", "transfer.succeeded"]
ISO 8601 timestamp when the endpoint was last updated.
"2026-01-01T00:00:00.000Z"
The HTTPS URL events are delivered to.
"https://example.com/webhooks/sphere"